CC := g++
CFLAGS := -Wall -std=c++11

SRCFILES := $(wildcard src/*.cpp)

all: $(SRCFILES:src/%.cpp=obj/%.o)
		$(CC) $(CFLAGS) obj/*.o -o bin/main

obj/%.o: src/%.cpp
		$(CC) $(CFLAGS) -c $< -o $@ -I./inc

.PHONY: clean
clean:
		rm -rf obj/*
		rm -rf bin/*

run:
	bin/main
